org.keycloak.credential

## Class OTPCredentialProviderFactory

- java.lang.Object
- - org.keycloak.credential.OTPCredentialProviderFactory

- All Implemented Interfaces:
    CredentialProviderFactory<OTPCredentialProvider>, ProviderFactory<CredentialProvider>

      public class OTPCredentialProviderFactory
      extends Object
      implements CredentialProviderFactory<OTPCredentialProvider>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROVIDER_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OTPCredentialProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OTPCredentialProvider` | `create(KeycloakSession session)`
    `String` | `getId()` This is the name of the provider and will be showed in the admin console as an option.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.credential.CredentialProviderFactory

      `close, init, postInit`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OTPCredentialProviderFactory

          public OTPCredentialProviderFactory()

  - ### Method Detail

    - #### create

          public OTPCredentialProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<CredentialProvider>`

    - #### getId

          public String getId()

      Description copied from interface: `CredentialProviderFactory`
      This is the name of the provider and will be showed in the admin console as an option.
      Specified by:
        `getId` in interface `CredentialProviderFactory<OTPCredentialProvider>`
      Specified by:
        `getId` in interface `ProviderFactory<CredentialProvider>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.